<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <artifactId>workflow-engine</artifactId>
        <groupId>cn.axzo.workflow</groupId>
        <version>${revision}</version>
    </parent>

    <artifactId>workflow-engine-common</artifactId>
    <packaging>jar</packaging>
    <name>workflow Engine Common</name>

    <dependencies>
        <dependency>
            <groupId>io.springfox</groupId>
            <artifactId>springfox-swagger2</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.axzo.framework.rocketmq</groupId>
            <artifactId>axzo-common-rocketmq</artifactId>
            <scope>compile</scope>
            <optional>true</optional>
        </dependency>
        <!--         lombok -->
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
        </dependency>

    </dependencies>
</project>
